#pragma once

#include "post_data_request.h"

namespace cppmicrohttpd
{

    /* post_data_request */

    post_data_request::post_data_request(
        MHD_Connection * const  p_connection,
        const std::string&      p_url,
        const std::string&      p_method,
        const std::string&      p_version,
        size_t                  p_buffer_size)
        : request           (p_connection, p_url, p_method, p_version)
        , _post_processor   (nullptr, &MHD_destroy_post_processor)
        , _buffer_size      (p_buffer_size)
        { }

}
