#pragma once

#include "response.h"

namespace cppmicrohttpd
{

    struct buffer_response
        : public response
    {
    public:
        const std::string buffer;   //!< Content of the response

    public:
        /**
         * @brief Constructor.
         *
         * @param[in] p_request     Request this response belongs to.
         * @param[in] p_buffer      Buffer to send in this response.
         */
        inline buffer_response(
            const request_t& p_request,
            const std::string& p_buffer);
    };

}
