# This file contains constant variables that are fixed to this project

# Version
Set                                 ( CPPMICROHTTPD_VERSION_MAJOR           1 )
Set                                 ( CPPMICROHTTPD_VERSION_MINOR           0 )
Set                                 ( CPPMICROHTTPD_VERSION_PATCH           0 )
Set                                 ( CPPMICROHTTPD_VERSION_BUILD           0 )
Set                                 ( CPPMICROHTTPD_VERSION_HASH            "" )
Set                                 ( CPPMICROHTTPD_VERSION_BEHIND          0 )
Set                                 ( CPPMICROHTTPD_VERSION_DIRTY           0 )

# Names
Set                                 ( CPPMICROHTTPD_PROJECT_NAME            "cppmicrohttpd" )
Set                                 ( CPPMICROHTTPD_PROJECT_DESCRIPTION     "C++ wrapper library for libmicrohttpd" )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/cppmicrohttpd-var.cmake )

# Install directories
Set                                 ( CPPMICROHTTPD_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${CPPMICROHTTPD_NAME}" )
Set                                 ( CPPMICROHTTPD_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( CPPMICROHTTPD_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${CPPMICROHTTPD_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    17 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
