# This file contains options that can be passed to the cmake command

Option                              ( CPPMICROHTTPD_INSTALL_HEADER
                                      "Install headers of cppmicrohttpd."
                                      ON )
Option                              ( CPPMICROHTTPD_INSTALL_STATIC
                                      "Install static library of cppmicrohttpd."
                                      ON )
Option                              ( CPPMICROHTTPD_INSTALL_SHARED
                                      "Install shared library of cppmicrohttpd."
                                      ON )
Option                              ( CPPMICROHTTPD_INSTALL_DEBUG
                                      "Install the stripped debug informations of cppmicrohttpd."
                                      OFF )
Option                              ( CPPMICROHTTPD_INSTALL_PACKAGE
                                      "Install the cmake package of cppmicrohttpd."
                                      ON )
Option                              ( CPPMICROHTTPD_NO_STRIP
                                      "Do not strip debug symbols from binary."
                                      OFF )
Option                              ( CPPMICROHTTPD_USE_GIT_VERSION
                                      "Read the git tags to get the version of cppmicrohttpd"
                                      ON )
If                                  ( NOT CPPMICROHTTPD_LOGGING )
    Set                                 ( CPPMICROHTTPD_LOGGING none
                                          CACHE STRING "Specify how cppmicrohttpd should write log entries." )
    Set_Property                        ( CACHE CPPMICROHTTPD_LOGGING
                                          PROPERTY STRINGS none stdout cpplogging )
EndIf                               ( )
