# This file contains generated variables that are needed for the project

# Git Version
If                                  ( CPPMICROHTTPD_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                CPPMICROHTTPD_VERSION_MAJOR
                                                CPPMICROHTTPD_VERSION_MINOR
                                                CPPMICROHTTPD_VERSION_PATCH
                                                CPPMICROHTTPD_VERSION_BUILD
                                                CPPMICROHTTPD_VERSION_HASH
                                                CPPMICROHTTPD_VERSION_BEHIND
                                                CPPMICROHTTPD_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( CPPMICROHTTPD_VERSION_SHORT
                                      "${CPPMICROHTTPD_VERSION_MAJOR}.${CPPMICROHTTPD_VERSION_MINOR}" )
Set                                 ( CPPMICROHTTPD_VERSION
                                      "${CPPMICROHTTPD_VERSION_SHORT}.${CPPMICROHTTPD_VERSION_PATCH}.${CPPMICROHTTPD_VERSION_BUILD}" )
Set                                 ( CPPMICROHTTPD_VERSION_COMPLETE
                                      "${CPPMICROHTTPD_VERSION}" )
Set                                 ( CPPMICROHTTPD_NAME
                                      "${CPPMICROHTTPD_PROJECT_NAME}-${CPPMICROHTTPD_VERSION_SHORT}" )
Set                                 ( CPPMICROHTTPD_OUTPUTNAME
                                      "${CPPMICROHTTPD_PROJECT_NAME}" )
If                                  ( CPPMICROHTTPD_VERSION_BEHIND )
    Set                                 ( CPPMICROHTTPD_VERSION_COMPLETE
                                          "${CPPMICROHTTPD_VERSION_COMPLETE}+${CPPMICROHTTPD_VERSION_BEHIND}" )
EndIf                               ( )
